Subject: Re: [PATCH 7/6 (v4)] support for commit grafts, slight change to general mechanism

From: Thomas Rast <[email-masked]>
Date: Wed, 21 Oct 2009 11:15:17 +0200

Nick Edelen wrote:
> Adds support for graft commits in rev-cache (w/ test), and slightly alters
> graft mechanism.  Before, parse_commit() checked the graft list on every
> commit.  Now register_commit_graft() preemptively loads graft commits into
> memory, and sets a new 'graft' flag in the object.  This allows awareness of
> the commits' medical history without searching a (normally private) array upon
> each commit.

I felt adventurous and merged the topic into my local build, but I get
"error: duplicate graft data ..." in repositories with only a single
line in .git/info/grafts, which bisects to this commit (1c0a666 in
today's pu).

-- 
Thomas Rast
trast@{inf,student}.ethz.ch